import { Component } from "react";
import { IconProps } from "antd/lib/icon";
import "antd/lib/icon/style";
interface IProps extends IconProps {
    [propName: string]: any;
}
export default class Icon extends Component<IProps> {
    static createFromIconfontCN: typeof import("antd/lib/icon/IconFont").default;
    static getTwoToneColor: typeof import("antd/lib/icon/twoTonePrimaryColor").getTwoToneColor;
    static setTwoToneColor: typeof import("antd/lib/icon/twoTonePrimaryColor").setTwoToneColor;
    render(): JSX.Element;
}
export {};
